#!/usr/bin/perl

use getwh;

sub image
{
	my ($char, $suffix) = @_;
	$char = ord $char;
	if ($char >= 0x80) { $char -= 0x30; }
	$char = sprintf "%x", $char;
	return qq:<img src="../pics/$char$suffix.gif"\n\talign="absmiddle" width="$width" height="$height">:;
}

#
#	find out dimensions
#
($width, $height) = get_gif_dimensions("../pics/20.gif");

while (<>)
{
	$data = $_;
	while ($data =~ m/<img src="../pics/28.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2e.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2a.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/3f.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/29.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/21.png"
	align="absmiddle" width="14" height="27" />/)
	{
		$middle = $1 . "!";
		$middle =~ s/([\x20-\xff])/&image($1,"")/eg;
		$data =~ s/<img src="../pics/28.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2e.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2a.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/3f.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/29.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/21.png"
	align="absmiddle" width="14" height="27" />/$middle/;
	}
	while ($data =~ m/<img src="../pics/28.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2e.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2a.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/3f.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/29.png"
	align="absmiddle" width="14" height="27" />/)
	{
		$middle = $1;
		$middle =~ s/([\x20-\xff])/&image($1,"")/eg;
		$data =~ s/<img src="../pics/28.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2e.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2a.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/3f.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/29.png"
	align="absmiddle" width="14" height="27" />/$middle/;
	}
	while ($data =~ m/\<img src="../pics/28r.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2er.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2ar.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/3fr.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/29r.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/5cr.png"
	align="absmiddle" width="14" height="27" />/)
	{
		$middle = $1;
		$middle =~ s/([\x20-\xff])/&image($1,"r")/eg;
		$data =~ s/\<img src="../pics/28r.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2er.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/2ar.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/3fr.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/29r.png"
	align="absmiddle" width="14" height="27" /><img src="../pics/5cr.png"
	align="absmiddle" width="14" height="27" />/$middle/;
	}
	print $data;
}

